Communication consents
Endpoints for Communication consents
Endpoints for Communication consents
GET/api/v1/consents
Authentication: Bearer token (JWT)
integrationIdstringRequired when parent is presenttitlestringRequired when parent is presentdescriptionstringRequired when parent is presentimagestringRequired when parent is presentshowOnCheckoutPagebooleanRequired when parent is presentshowOnMyPagebooleanRequired when parent is presentstatusbooleanRequired when parent is presentpurposestringRequired when parent is present[
{
"integrationId": "string",
"title": "string",
"description": "string",
"image": "string",
"showOnCheckoutPage": true,
"showOnMyPage": true,
"status": true,
"purpose": "marketing_and_newsletter",
"frequency": "string",
"defaultSubscribed": true,
"sortOrder": 0,
"visibility": "subscriber",
"newsletterProviderConfig": {
"consents": [],
"metaData": {}
},
"newsletterProviderConfigId": 0,
"tenantId": 0,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"communications": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}
]unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/consents \
--header 'Authorization: Bearer <token>'POST/api/v1/consents
Authentication: Bearer token (JWT)
multipart/form-dataimagePreviewstringOptionalpreviousImageUrlstringOptionalimagefileOptionalimageUrlstring (uri)OptionalGET/api/v1/consents/unsubscribe/validate
Accepts an unsubscribe token as a query parameter and validates if the token is valid and not expired.
Authentication: Bearer token (JWT)
tokenstringRequiredPOST/api/v1/consents/unsubscribe
Accepts an unsubscribe token and processes the unsubscribe request.
Authentication: Bearer token (JWT)
application/jsontokenstringRequiredGET/api/v1/consents/{id}
Authentication: Bearer token (JWT)
idnumberRequiredSame fields as Create a new consent (201).
POST/api/v1/consents/{id}
Authentication: Bearer token (JWT)
idstringRequiredapplication/jsonemailstring (email)RequiredstatusDELETE/api/v1/consents/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
PATCH/api/v1/consents/{id}
Authentication: Bearer token (JWT)
idnumberRequiredmultipart/form-dataimagePreviewstringOptionalpreviousImageUrlstringOptionalPATCH/api/v1/consents/{id}/transfer-integration
The integration id moves with the provider config, so provider webhooks and M2M callers posting to it keep working. The source consent gets a fresh integration id.
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonGET/api/v1/consents/webhook/mailchimp/{webhooksecret}
Authentication: Bearer token (JWT)
This response has no body.
POST/api/v1/consents/webhook/mailchimp/{webhooksecret}
Authentication: Bearer token (JWT)
webhooksecretstringRequiredThis response has no body.
POST/api/v1/consents/webhook/make/{webhooksecret}
Authentication: Bearer token (JWT)
webhooksecretstringRequiredThis response has no body.
PUT/api/v1/consents/bulk-sort-order
Authentication: Bearer token (JWT)
application/jsonconsentsarray of ConsentSortOrderItemDtoRequired2 required when the containing object is present2 fieldsconsentsidnumberRequired when parent is presentField path: consents[].idGET/api/v1/consents/mailmojo/get-credentials/{integrationId}
Authentication: Bearer token (JWT)
integrationIdstringRequiredGET/api/v1/consents/webhook/mailmojo/authorize
This endpoint receives the authorization code from Mailmojo after user authorization. It always answers with a page that posts MAILMOJO_AUTH_SUCCESS or MAILMOJO_AUTH_FAILED (with a messageCode) to the admin page that opened the authorization popup.
Authentication: Bearer token (JWT)
codestringOptionalstatestringRequiredPOST/api/v1/consents/webhook/mailmojo/{webhooksecret}
This endpoint receives the authorization code from Mailmojo after user authorization
Authentication: Bearer token (JWT)
webhooksecretstringRequired"marketing_and_newsletter", "consent"frequencystringRequired when parent is presentdefaultSubscribedbooleanRequired when parent is presentsortOrdernumberRequired when parent is presentvisibilitystringRequired when parent is present"subscriber", "nonSubscriber", "all"newsletterProviderConfigNewsletterProviderConfigRequired when parent is present11 fields[].newsletterProviderConfigproviderstringRequired when parent is presentField path: [].newsletterProviderConfig.provider"mailchimp", "make", "mailmojo"namestringRequired when parent is presentField path: [].newsletterProviderConfig.nametenantIdnumberRequired when parent is presentField path: [].newsletterProviderConfig.tenantIdconfigNewsletterConfigRequired when parent is presentField path: [].newsletterProviderConfig.config10 fields[].newsletterProviderConfig.configidstringRequired when parent is presentField path: [].newsletterProviderConfig.config.idnamestringRequired when parent is presentField path: [].newsletterProviderConfig.config.namelistNamestringField path: [].newsletterProviderConfig.config.listNamewebhookSecretstringRequired when parent is presentField path: [].newsletterProviderConfig.config.webhookSecretapiKeystringRequired when parent is presentField path: [].newsletterProviderConfig.config.apiKeytenantTenantRequired when parent is presentField path: [].newsletterProviderConfig.tenantNested fields omitted: field limit.consentsarray of ConsentRequired when parent is presentField path: [].newsletterProviderConfig.consentsNested fields omitted: field limit.idnumberRequired when parent is presentField path: [].newsletterProviderConfig.idcreatedAtstring (date-time)Required when parent is presentField path: [].newsletterProviderConfig.createdAtupdatedAtstring (date-time)Required when parent is presentField path: [].newsletterProviderConfig.updatedAtdeletedAtstring (date-time)Required when parent is presentField path: [].newsletterProviderConfig.deletedAtmetaDataobjectRequired when parent is presentField path: [].newsletterProviderConfig.metaDatanewsletterProviderConfigIdnumberRequired when parent is presenttenantIdnumberRequired when parent is presenttenantTenantRequired when parent is presentNested fields omitted: field limit.communicationsarray of CommunicationRequired when parent is present36 fields[].communicationsnamestringRequired when parent is presentField path: [].communications[].namestatusstringRequired when parent is presentField path: [].communications[].status"draft", "ready", "scheduled", "completed", "failed", "processing"smsContentstringRequired when parent is presentField path: [].communications[].smsContentsubjectstringRequired when parent is presentField path: [].communications[].subjectemailEditorRawContentobjectRequired when parent is presentField path: [].communications[].emailEditorRawContentcommunicationTypestringRequired when parent is presentField path: [].communications[].communicationType"automation", "crm", "marketing", "otp", "information", "emailStandard", "jobCompletion", "oneOff"communicationChannelstringRequired when parent is presentField path: [].communications[].communicationChannel"sms", "email"scheduledAtstring (date-time)Required when parent is presentField path: [].communications[].scheduledAtcompletedAtstring (date-time)Required when parent is presentField path: [].communications[].completedAtadminUserIdnumberRequired when parent is presentField path: [].communications[].adminUserIdtenantIdnumberRequired when parent is presentField path: [].communications[].tenantIdconsentIdnumberRequired when parent is presentField path: [].communications[].consentIdsegmentIdnumberRequired when parent is presentField path: [].communications[].segmentIdtemplateIdnumberRequired when parent is presentField path: [].communications[].templateIdemailPreviewTextstringRequired when parent is presentField path: [].communications[].emailPreviewTextdeliveryMethodstringRequired when parent is presentField path: [].communications[].deliveryMethodexternalEmailBodystringRequired when parent is presentField path: [].communications[].externalEmailBodyemailHtmlPreviewstringRequired when parent is presentField path: [].communications[].emailHtmlPreviewhostNamestringRequired when parent is presentField path: [].communications[].hostNamesenderIdnumberRequired when parent is presentField path: [].communications[].senderIdtotalRecipientsnumberRequired when parent is presentField path: [].communications[].totalRecipientstotalPagesnumberRequired when parent is presentField path: [].communications[].totalPagesaudienceBasisstringRequired when parent is presentField path: [].communications[].audienceBasiscustomerWindowMonthsnumberRequired when parent is presentField path: [].communications[].customerWindowMonthssenderCommunicationSenderRequired when parent is presentField path: [].communications[].senderNested fields omitted: field limit.adminUserUserRequired when parent is presentField path: [].communications[].adminUserNested fields omitted: field limit.tenantTenantRequired when parent is presentField path: [].communications[].tenantNested fields omitted: field limit.consentConsentRequired when parent is presentField path: [].communications[].consentNested fields omitted: field limit.segmentSegmentRequired when parent is presentField path: [].communications[].segmentNested fields omitted: field limit.templateCommunicationTemplateRequired when parent is presentField path: [].communications[].templateNested fields omitted: field limit.communicationLogsarray of CommunicationLogRequired when parent is presentField path: [].communications[].communicationLogsNested fields omitted: field limit.idnumberRequired when parent is presentField path: [].communications[].idcreatedAtstring (date-time)Required when parent is presentField path: [].communications[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: [].communications[].updatedAtdeletedAtstring (date-time)Required when parent is presentField path: [].communications[].deletedAtmetaDataobjectRequired when parent is presentField path: [].communications[].metaDataidnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is presentdeletedAtstring (date-time)Required when parent is presentmetaDataobjectRequired when parent is presentfieldstringfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}sortOrdernumberOptionalvisibilityConsentVisibilityOptional"all"Allowed values: "subscriber", "nonSubscriber", "all"purposestringRequired"marketing_and_newsletter", "consent"titlestringRequiredmaxLength: 100descriptionstringRequiredmaxLength: 255statusbooleanRequiredfrequencystringRequiredshowOnCheckoutPagebooleanRequiredshowOnMyPagebooleanRequireddefaultSubscribedbooleanRequiredexternalProviderExternalProviderNewsLetterDtoOptional2 required when the containing object is present3 fieldsexternalProvidernamestringRequired when parent is presentField path: externalProvider.nameproviderstringRequired when parent is presentField path: externalProvider.provider"mailchimp", "make", "mailmojo"configNewsletterConfigOptionalField path: externalProvider.config9 required when the containing object is present10 fieldsexternalProvider.configidstringRequired when parent is presentField path: externalProvider.config.idnamestringRequired when parent is presentField path: externalProvider.config.namelistNamestringOptionalField path: externalProvider.config.listNamewebhookSecretstringRequired when parent is presentField path: externalProvider.config.webhookSecretapiKeystringRequired when parent is presentField path: externalProvider.config.apiKeyuserNamestringRequired when parent is presentField path: externalProvider.config.userNamepasswordstringRequired when parent is presentField path: externalProvider.config.passwordaccessTokenstringRequired when parent is presentField path: externalProvider.config.accessTokenrefreshTokenstringRequired when parent is presentField path: externalProvider.config.refreshTokenintegrationIdstringRequired when parent is presentField path: externalProvider.config.integrationIdintegrationIdstringRequiredtitlestringRequireddescriptionstringRequiredimagestringRequiredshowOnCheckoutPagebooleanRequiredshowOnMyPagebooleanRequiredstatusbooleanRequiredpurposestringRequired"marketing_and_newsletter", "consent"frequencystringRequireddefaultSubscribedbooleanRequiredsortOrdernumberRequiredvisibilitystringRequired"subscriber", "nonSubscriber", "all"newsletterProviderConfigNewsletterProviderConfigRequired11 fieldsnewsletterProviderConfigproviderstringRequiredField path: newsletterProviderConfig.provider"mailchimp", "make", "mailmojo"namestringRequiredField path: newsletterProviderConfig.nametenantIdnumberRequiredField path: newsletterProviderConfig.tenantIdconfigNewsletterConfigRequiredField path: newsletterProviderConfig.config10 fieldsnewsletterProviderConfigIdnumberRequiredtenantIdnumberRequiredtenantTenantRequiredNested fields omitted: field limit.communicationsarray of CommunicationRequired36 fieldscommunicationsnamestringRequired when parent is presentField path: communications[].namestatusstringRequired when parent is presentField path: communications[].status"draft", "ready", "scheduled", "completed", "failed", "processing"smsContentstringRequired when parent is presentField path: communications[].smsContentsubjectstringRequired when parent is presentField path: communications[].subjectidnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequiredbadRequest, invalidExternalProviderConfig
messageCodestringRequired"badRequest", "invalidExternalProviderConfig"messagestringunauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}fileSizeExceeded
This response has no body.
invalidFileType
This response has no body.
curlcurl https://api.subrite.no/api/v1/consents \
--request POST \
--header 'Authorization: Bearer <token>' \
--form 'image=@<file>' \
--form 'purpose=marketing_and_newsletter' \
--form 'title=string' \
--form 'description=string' \
--form 'status=true' \
--form 'frequency=string' \
--form 'showOnCheckoutPage=true' \
--form 'showOnMyPage=true' \
--form 'defaultSubscribed=true'This response has no body.
invalidOrExpiredUnsubscribeToken, incompleteUnsubscribeTokenPayload, consentIsAlreadyUnsubscribed
messageCodestringRequired"invalidOrExpiredUnsubscribeToken", "incompleteUnsubscribeTokenPayload", "consentIsAlreadyUnsubscribed"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "invalidOrExpiredUnsubscribeToken",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}Token is valid and not expired
This response has no body.
curlcurl 'https://api.subrite.no/api/v1/consents/unsubscribe/validate?token=%3Ctoken%3E' \
--header 'Authorization: Bearer <token>'UnsubscribeTokenDto{
"token": "<token>"
}This response has no body.
invalidOrExpiredUnsubscribeToken, incompleteUnsubscribeTokenPayload, consentIsAlreadyUnsubscribed
Same fields as Validate unsubscribe token (400).
{
"messageCode": "invalidOrExpiredUnsubscribeToken",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/consents/unsubscribe \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"token": "<token>"
}'ConsentResponseDto{
"integrationId": "string",
"title": "string",
"description": "string",
"image": "string",
"showOnCheckoutPage": true,
"showOnMyPage": true,
"status": true,
"purpose": "marketing_and_newsletter",
"frequency": "string",
"defaultSubscribed": true,
"sortOrder": 0,
"visibility": "subscriber",
"newsletterProviderConfig": {
"provider": "mailchimp",
"name": "string",
"tenantId": 0,
"config": {},
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"consents": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"newsletterProviderConfigId": 0,
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"communications": [
{
"emailEditorRawContent": {},
"communicationLogs": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}consentNotFound
messageCodestringRequired"consentNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "consentNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/{id}' \
--header 'Authorization: Bearer <token>'string"accepted", "withdrawn", "subscribed", "unsubscribed"referencestringOptional{
"email": "user@example.com",
"status": "accepted",
"reference": "string"
}This response has no body.
unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}newsletterSyncFailed
messageCodestringRequired"newsletterSyncFailed"messagestringerrorsarray of FieldErrorcurlcurl 'https://api.subrite.no/api/v1/consents/{id}' \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"status": "accepted",
"reference": "string"
}'application/jsonconsentIsAlreadyUsedByMembers
messageCodestringRequired"consentIsAlreadyUsedByMembers"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "consentIsAlreadyUsedByMembers",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}consentNotFound
Same fields as Get consent details (404).
{
"messageCode": "consentNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'imagefileOptionalimageUrlstring (uri)OptionalsortOrdernumberOptionalvisibilityConsentVisibilityOptional"all"Allowed values: "subscriber", "nonSubscriber", "all"removeExternalProviderbooleanOptionalpurposestringOptional"marketing_and_newsletter", "consent"titlestringOptionalmaxLength: 100descriptionstringOptionalmaxLength: 255statusbooleanOptionalfrequencystringOptionalshowOnCheckoutPagebooleanOptionalshowOnMyPagebooleanOptionaldefaultSubscribedbooleanOptionalexternalProviderExternalProviderNewsLetterDtoOptional2 required when the containing object is present3 fieldsexternalProvidernamestringRequired when parent is presentField path: externalProvider.nameproviderstringRequired when parent is presentField path: externalProvider.provider"mailchimp", "make", "mailmojo"configNewsletterConfigOptionalField path: externalProvider.config9 required when the containing object is present10 fieldsexternalProvider.configidstringRequired when parent is presentField path: externalProvider.config.idnamestringRequired when parent is presentField path: externalProvider.config.namelistNamestringOptionalField path: externalProvider.config.listNamewebhookSecretstringRequired when parent is presentField path: externalProvider.config.webhookSecretapiKeystringRequired when parent is presentField path: externalProvider.config.apiKeyuserNamestringRequired when parent is presentField path: externalProvider.config.userNamepasswordstringRequired when parent is presentField path: externalProvider.config.passwordaccessTokenstringRequired when parent is presentField path: externalProvider.config.accessTokenrefreshTokenstringRequired when parent is presentField path: externalProvider.config.refreshTokenintegrationIdstringRequired when parent is presentField path: externalProvider.config.integrationIdSame fields as Create a new consent (201).
{
"integrationId": "string",
"title": "string",
"description": "string",
"image": "string",
"showOnCheckoutPage": true,
"showOnMyPage": true,
"status": true,
"purpose": "marketing_and_newsletter",
"frequency": "string",
"defaultSubscribed": true,
"sortOrder": 0,
"visibility": "subscriber",
"newsletterProviderConfig": {
"provider": "mailchimp",
"name": "string",
"tenantId": 0,
"config": {},
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"consents": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"newsletterProviderConfigId": 0,
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"communications": [
{
"emailEditorRawContent": {},
"communicationLogs": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}badRequest, invalidExternalProviderConfig
Same fields as Create a new consent (400).
unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}fileSizeExceeded
This response has no body.
invalidFileType
This response has no body.
curlcurl 'https://api.subrite.no/api/v1/consents/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--form 'image=@<file>'targetConsentIdnumberRequiredminimum: 1{
"targetConsentId": 2
}Same fields as Create a new consent (201).
{
"integrationId": "string",
"title": "string",
"description": "string",
"image": "string",
"showOnCheckoutPage": true,
"showOnMyPage": true,
"status": true,
"purpose": "marketing_and_newsletter",
"frequency": "string",
"defaultSubscribed": true,
"sortOrder": 0,
"visibility": "subscriber",
"newsletterProviderConfig": {
"provider": "mailchimp",
"name": "string",
"tenantId": 0,
"config": {},
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"consents": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"newsletterProviderConfigId": 0,
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"communications": [
{
"emailEditorRawContent": {},
"communicationLogs": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}unauthorized
This response has no body.
consentsNotFoundOrAccessDenied
messageCodestringRequired"consentsNotFoundOrAccessDenied"messagestringconsentNotConnected, consentAlreadyConnected
messageCodestringRequired"consentNotConnected", "consentAlreadyConnected"messagestringcurlcurl 'https://api.subrite.no/api/v1/consents/{id}/transfer-integration' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"targetConsentId": 2
}'application/jsonunauthorized
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/webhook/mailchimp/{webhooksecret}' \
--header 'Authorization: Bearer <token>'invalidWebhookSecret
messageCodestringRequired"invalidWebhookSecret"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "invalidWebhookSecret",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/webhook/mailchimp/{webhooksecret}' \
--request POST \
--header 'Authorization: Bearer <token>'invalidWebhookSecret
Same fields as Sync member consent from mailchimp (400).
{
"messageCode": "invalidWebhookSecret",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/webhook/make/{webhooksecret}' \
--request POST \
--header 'Authorization: Bearer <token>'sortOrdernumberRequired when parent is presentField path: consents[].sortOrderminimum: 0integrationIdstringRequired when parent is presenttitlestringRequired when parent is presentdescriptionstringRequired when parent is presentimagestringRequired when parent is presentshowOnCheckoutPagebooleanRequired when parent is presentshowOnMyPagebooleanRequired when parent is presentstatusbooleanRequired when parent is presentpurposestringRequired when parent is present"marketing_and_newsletter", "consent"frequencystringRequired when parent is presentdefaultSubscribedbooleanRequired when parent is presentsortOrdernumberRequired when parent is presentvisibilitystringRequired when parent is present"subscriber", "nonSubscriber", "all"newsletterProviderConfigNewsletterProviderConfigRequired when parent is present11 fields[].newsletterProviderConfigproviderstringRequired when parent is presentField path: [].newsletterProviderConfig.provider"mailchimp", "make", "mailmojo"namestringRequired when parent is presentField path: [].newsletterProviderConfig.nametenantIdnumberRequired when parent is presentField path: [].newsletterProviderConfig.tenantIdconfigNewsletterConfigRequired when parent is presentnewsletterProviderConfigIdnumberRequired when parent is presenttenantIdnumberRequired when parent is presenttenantTenantRequired when parent is presentNested fields omitted: field limit.communicationsarray of CommunicationRequired when parent is present36 fields[].communicationsnamestringRequired when parent is presentField path: [].communications[].namestatusstringRequired when parent is presentField path: [].communications[].status"draft", "ready", "scheduled", "completed", "failed", "processing"smsContentstringRequired when parent is presentField path: [].communications[].smsContentsubjectstringRequired when parent is presentField path: [].communications[].subjectidnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is presentdeletedAtstring (date-time)Required when parent is presentmetaDataobjectRequired when parent is present[
{
"integrationId": "string",
"title": "string",
"description": "string",
"image": "string",
"showOnCheckoutPage": true,
"showOnMyPage": true,
"status": true,
"purpose": "marketing_and_newsletter",
"frequency": "string",
"defaultSubscribed": true,
"sortOrder": 0,
"visibility": "subscriber",
"newsletterProviderConfig": {
"consents": [],
"metaData": {}
},
"newsletterProviderConfigId": 0,
"tenantId": 0,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"communications": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}
]unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}consentsNotFoundOrAccessDenied
Same fields as Move a consent's newsletter integration to another consent (404).
{
"messageCode": "consentsNotFoundOrAccessDenied",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/consents/bulk-sort-order \
--request PUT \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"consents": [
{}
]
}'MailmojoCredentialsResponseDtoclientIdstringclientSecretstringaccessTokenstringrefreshTokenstring{
"clientId": "string",
"clientSecret": "<clientSecret>",
"accessToken": "<accessToken>",
"refreshToken": "<refreshToken>"
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/mailmojo/get-credentials/{integrationId}' \
--header 'Authorization: Bearer <token>'This response has no body.
unauthorized
forbiddenResource
internalServerError
curlcurl 'https://api.subrite.no/api/v1/consents/webhook/mailmojo/authorize?state=%3Cstate%3E' \
--header 'Authorization: Bearer <token>'This response has no body.
invalidWebhookSecret
Same fields as Sync member consent from mailchimp (400).
{
"messageCode": "invalidWebhookSecret",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get all consents (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/consents/webhook/mailmojo/{webhooksecret}' \
--request POST \
--header 'Authorization: Bearer <token>'userNamestringRequired when parent is presentpasswordstringRequired when parent is presentField path: [].newsletterProviderConfig.config.passwordaccessTokenstringRequired when parent is presentField path: [].newsletterProviderConfig.config.accessTokenrefreshTokenstringRequired when parent is presentField path: [].newsletterProviderConfig.config.refreshTokenintegrationIdstringRequired when parent is presentField path: [].newsletterProviderConfig.config.integrationIdnewsletterProviderConfig.configidstringRequiredField path: newsletterProviderConfig.config.idnamestringRequiredField path: newsletterProviderConfig.config.namelistNamestringField path: newsletterProviderConfig.config.listNamewebhookSecretstringRequiredField path: newsletterProviderConfig.config.webhookSecretapiKeystringRequiredField path: newsletterProviderConfig.config.apiKeyuserNamestringRequiredField path: newsletterProviderConfig.config.userNamepasswordstringRequiredField path: newsletterProviderConfig.config.passwordaccessTokenstringRequiredField path: newsletterProviderConfig.config.accessTokenrefreshTokenstringRequiredField path: newsletterProviderConfig.config.refreshTokenintegrationIdstringRequiredField path: newsletterProviderConfig.config.integrationIdtenantTenantRequiredField path: newsletterProviderConfig.tenantNested fields omitted: field limit.consentsarray of ConsentRequiredField path: newsletterProviderConfig.consentsNested fields omitted: field limit.idnumberRequiredField path: newsletterProviderConfig.idcreatedAtstring (date-time)RequiredField path: newsletterProviderConfig.createdAtupdatedAtstring (date-time)RequiredField path: newsletterProviderConfig.updatedAtdeletedAtstring (date-time)RequiredField path: newsletterProviderConfig.deletedAtmetaDataobjectRequiredField path: newsletterProviderConfig.metaDataemailEditorRawContentobjectRequired when parent is presentField path: communications[].emailEditorRawContentcommunicationTypestringRequired when parent is presentField path: communications[].communicationType"automation", "crm", "marketing", "otp", "information", "emailStandard", "jobCompletion", "oneOff"communicationChannelstringRequired when parent is presentField path: communications[].communicationChannel"sms", "email"scheduledAtstring (date-time)Required when parent is presentField path: communications[].scheduledAtcompletedAtstring (date-time)Required when parent is presentField path: communications[].completedAtadminUserIdnumberRequired when parent is presentField path: communications[].adminUserIdtenantIdnumberRequired when parent is presentField path: communications[].tenantIdconsentIdnumberRequired when parent is presentField path: communications[].consentIdsegmentIdnumberRequired when parent is presentField path: communications[].segmentIdtemplateIdnumberRequired when parent is presentField path: communications[].templateIdemailPreviewTextstringRequired when parent is presentField path: communications[].emailPreviewTextdeliveryMethodstringRequired when parent is presentField path: communications[].deliveryMethodexternalEmailBodystringRequired when parent is presentField path: communications[].externalEmailBodyemailHtmlPreviewstringRequired when parent is presentField path: communications[].emailHtmlPreviewhostNamestringRequired when parent is presentField path: communications[].hostNamesenderIdnumberRequired when parent is presentField path: communications[].senderIdtotalRecipientsnumberRequired when parent is presentField path: communications[].totalRecipientstotalPagesnumberRequired when parent is presentField path: communications[].totalPagesaudienceBasisstringRequired when parent is presentField path: communications[].audienceBasiscustomerWindowMonthsnumberRequired when parent is presentField path: communications[].customerWindowMonthssenderCommunicationSenderRequired when parent is presentField path: communications[].senderNested fields omitted: field limit.adminUserUserRequired when parent is presentField path: communications[].adminUserNested fields omitted: field limit.tenantTenantRequired when parent is presentField path: communications[].tenantNested fields omitted: field limit.consentConsentRequired when parent is presentField path: communications[].consentNested fields omitted: field limit.segmentSegmentRequired when parent is presentField path: communications[].segmentNested fields omitted: field limit.templateCommunicationTemplateRequired when parent is presentField path: communications[].templateNested fields omitted: field limit.communicationLogsarray of CommunicationLogRequired when parent is presentField path: communications[].communicationLogsNested fields omitted: field limit.idnumberRequired when parent is presentField path: communications[].idcreatedAtstring (date-time)Required when parent is presentField path: communications[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: communications[].updatedAtdeletedAtstring (date-time)Required when parent is presentField path: communications[].deletedAtmetaDataobjectRequired when parent is presentField path: communications[].metaData{
"integrationId": "string",
"title": "string",
"description": "string",
"image": "string",
"showOnCheckoutPage": true,
"showOnMyPage": true,
"status": true,
"purpose": "marketing_and_newsletter",
"frequency": "string",
"defaultSubscribed": true,
"sortOrder": 0,
"visibility": "subscriber",
"newsletterProviderConfig": {
"provider": "mailchimp",
"name": "string",
"tenantId": 0,
"config": {},
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"consents": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"newsletterProviderConfigId": 0,
"tenantId": 0,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"communications": [
{
"emailEditorRawContent": {},
"communicationLogs": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}errorsarray of FieldErrorRequirederrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}messagestringerrorTypestringRequired when parent is presentField path: errors[].errorTypeerrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "newsletterSyncFailed",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "consentNotFound",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "consentsNotFoundOrAccessDenied",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "consentNotConnected",
"message": "string",
"errors": [
{}
]
}[].newsletterProviderConfig.configidstringRequired when parent is presentField path: [].newsletterProviderConfig.config.idnamestringRequired when parent is presentField path: [].newsletterProviderConfig.config.namelistNamestringField path: [].newsletterProviderConfig.config.listNamewebhookSecretstringRequired when parent is presentField path: [].newsletterProviderConfig.config.webhookSecretapiKeystringRequired when parent is presentField path: [].newsletterProviderConfig.config.apiKeyuserNamestringRequired when parent is presentField path: [].newsletterProviderConfig.config.userNamepasswordstringRequired when parent is presentField path: [].newsletterProviderConfig.config.passwordaccessTokenstringRequired when parent is presentField path: [].newsletterProviderConfig.config.accessTokenrefreshTokenstringRequired when parent is presentField path: [].newsletterProviderConfig.config.refreshTokenintegrationIdstringRequired when parent is presentField path: [].newsletterProviderConfig.config.integrationIdtenantTenantRequired when parent is presentField path: [].newsletterProviderConfig.tenantNested fields omitted: field limit.consentsarray of ConsentRequired when parent is presentField path: [].newsletterProviderConfig.consentsNested fields omitted: field limit.idnumberRequired when parent is presentField path: [].newsletterProviderConfig.idcreatedAtstring (date-time)Required when parent is presentField path: [].newsletterProviderConfig.createdAtupdatedAtstring (date-time)Required when parent is presentField path: [].newsletterProviderConfig.updatedAtdeletedAtstring (date-time)Required when parent is presentField path: [].newsletterProviderConfig.deletedAtmetaDataobjectRequired when parent is presentField path: [].newsletterProviderConfig.metaDataemailEditorRawContentobjectRequired when parent is presentField path: [].communications[].emailEditorRawContentcommunicationTypestringRequired when parent is presentField path: [].communications[].communicationType"automation", "crm", "marketing", "otp", "information", "emailStandard", "jobCompletion", "oneOff"communicationChannelstringRequired when parent is presentField path: [].communications[].communicationChannel"sms", "email"scheduledAtstring (date-time)Required when parent is presentField path: [].communications[].scheduledAtcompletedAtstring (date-time)Required when parent is presentField path: [].communications[].completedAtadminUserIdnumberRequired when parent is presentField path: [].communications[].adminUserIdtenantIdnumberRequired when parent is presentField path: [].communications[].tenantIdconsentIdnumberRequired when parent is presentField path: [].communications[].consentIdsegmentIdnumberRequired when parent is presentField path: [].communications[].segmentIdtemplateIdnumberRequired when parent is presentField path: [].communications[].templateIdemailPreviewTextstringRequired when parent is presentField path: [].communications[].emailPreviewTextdeliveryMethodstringRequired when parent is presentField path: [].communications[].deliveryMethodexternalEmailBodystringRequired when parent is presentField path: [].communications[].externalEmailBodyemailHtmlPreviewstringRequired when parent is presentField path: [].communications[].emailHtmlPreviewhostNamestringRequired when parent is presentField path: [].communications[].hostNamesenderIdnumberRequired when parent is presentField path: [].communications[].senderIdtotalRecipientsnumberRequired when parent is presentField path: [].communications[].totalRecipientstotalPagesnumberRequired when parent is presentField path: [].communications[].totalPagesaudienceBasisstringRequired when parent is presentField path: [].communications[].audienceBasiscustomerWindowMonthsnumberRequired when parent is presentField path: [].communications[].customerWindowMonthssenderCommunicationSenderRequired when parent is presentField path: [].communications[].senderNested fields omitted: field limit.adminUserUserRequired when parent is presentField path: [].communications[].adminUserNested fields omitted: field limit.tenantTenantRequired when parent is presentField path: [].communications[].tenantNested fields omitted: field limit.consentConsentRequired when parent is presentField path: [].communications[].consentNested fields omitted: field limit.segmentSegmentRequired when parent is presentField path: [].communications[].segmentNested fields omitted: field limit.templateCommunicationTemplateRequired when parent is presentField path: [].communications[].templateNested fields omitted: field limit.communicationLogsarray of CommunicationLogRequired when parent is presentField path: [].communications[].communicationLogsNested fields omitted: field limit.idnumberRequired when parent is presentField path: [].communications[].idcreatedAtstring (date-time)Required when parent is presentField path: [].communications[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: [].communications[].updatedAtdeletedAtstring (date-time)Required when parent is presentField path: [].communications[].deletedAtmetaDataobjectRequired when parent is presentField path: [].communications[].metaData